class ExaminationIntelligentSetting < ApplicationRecord
  belongs_to :sub_discipline
  belongs_to :user
  has_many :examination_type_settings, dependent: :destroy
  has_many :tag_discipline_containers, as: :container, dependent: :destroy
  has_many :item_baskets,  -> { order("item_baskets.position ASC") }, dependent: :destroy
end
